<template>
  <b-container>
    <b-row>
      <b-col>
        <b-jumbotron
          bg-variant="primary"
          text-variant="white"
          header-level="1"
          header="About Me"
        />
      </b-col>
    </b-row>
    <b-row>
      <b-col>
        <b-img
          fluid
          center
          class="pb-4"
          :src="require('../static/Family.png')"
        />
      </b-col>
    </b-row>
    <b-row>
      <b-col />
      <b-col cols="10">
        <p>My name is Allen Nguyen. I live in Edmonton, Alberta, Canada with my beautiful wife and wonderful baby girl.</p>
        <p>
          I am currently unemployed due to COVID-19 related lay offs and am looking for work. If you think I would be a good fit at your company and would like to learn more feel free to send me an email or a message LinkedIn. You can find my contact info on my <b-link to="contact">
            contact page
          </b-link>.
        </p>
        <p>I'm a full stack developer with 9 years of experience working different with different technologies, paradigms and software development processes. My love of software development started when I modified video games as a teenager and was solidified after four years of study and at the University of Alberta where I got my Bachelor of Science Degree with Specialization in Computing Science.</p>
        <p>
          I excel at backend development and deployment pipelines, however, I also have experience building web front ends using ASP.NET, Angular, and Vue.js. For more information about the projects I've worked on and the technologies I've used you can checkout my
          <b-link to="projects">
            projects page
          </b-link>.
        </p>
        <p>At this stage in my career, the primary value I bring to a team isn't raw coding skill but rather my experience mentoring other developers, facilitating different software processes, and maintaining vision. I always try my best to ensure other developers aren't stagnating, know where a project is heading, and are enjoying their jobs.</p>
      </b-col>
      <b-col />
    </b-row>
    <b-row>
      <b-col>
        <b-img
          fluid
          center
          class="py-4"
          :src="require('../static/Daughter.png')"
        />
      </b-col>
    </b-row>
    <b-row>
      <b-col />
      <b-col cols="10">
        <p>I enjoy my coffee with lots of sugar and cream, use all my apps in dark mode, used to play a lot of sports, need to get back in shape, prefer movies with lots of one liners and explosions, never get tired of pizza or sushi, protect my cat from my daughter, only have time for easy and linear video games, try to bike commute when I can, listen to mostly mainstream pop music, and am trapped in the Apple ecosystem.</p>
      </b-col>
      <b-col />
    </b-row>
    <b-row>
      <b-col>
        <b-img
          fluid
          center
          class="py-4"
          :src="require('../static/Cat.png')"
        />
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
export default {
  name: "AboutView"
};
</script>

<style scoped>
p {
  font-size: 24px;
}
</style>
